Page MenuHomePhabricator

Apps are not compiling against current efl using Efl_Ui.h
Closed, ResolvedPublic

Description

I cannot compile latest Edi against latest EFL currently.
Apps using Elementary.h are fine but Efl_Ui.h breaks as follows:

In file included from /opt/efler/include/elementary-1/Efl_Ui.h:184:0,
                 from ../src/bin/edi_main.c:11:
/opt/efler/include/elementary-1/efl_ui_text.eo.h:406:50: error: unknown type name ‘Efl_Canvas_Text_Factory’; did you mean ‘Efl_Canvas_Text_Style’?
 EOAPI void efl_ui_text_item_factory_set(Eo *obj, Efl_Canvas_Text_Factory *item_factory);
                                                  ^~~~~~~~~~~~~~~~~~~~~~~
                                                  Efl_Canvas_Text_Style
/opt/efler/include/elementary-1/efl_ui_text.eo.h:418:7: error: unknown type name ‘Efl_Canvas_Text_Factory’
 EOAPI Efl_Canvas_Text_Factory *efl_ui_text_item_factory_get(const Eo *obj);
       ^~~~~~~~~~~~~~~~~~~~~~~
ajwillia.ms triaged this task as High priority.
ajwillia.ms updated the task description. (Show Details)
jpeg raised the priority of this task from High to Showstopper Issues.Feb 6 2018, 4:29 AM
jpeg assigned this task to herdsman.
jpeg added subscribers: woohyun, CHAN, jpeg.

Test code, for the lazy:

#include <Efl_Ui.h>

EAPI_MAIN void
efl_main(void *data EINA_UNUSED, const Efl_Event *ev EINA_UNUSED)
{
  printf("Hello World\n");
}
EFL_MAIN()

Compile with

gcc `pkg-config --libs --cflags elementary` -O0 -g -ggdb3 -Wall -Wextra
bu5hm4n added a project: Restricted Project.Jun 10 2018, 10:56 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
zmike edited projects, added efl; removed Restricted Project.Jun 11 2018, 8:57 AM
bu5hm4n edited projects, added efl: widgets; removed efl, Restricted Project.Jun 11 2018, 10:39 AM
zmike closed this task as Resolved.Jun 14 2018, 6:44 AM
zmike added a subscriber: zmike.

This was resolved at some point, and I added a test for it a while ago as well to ensure future functionality.